import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:flutter_plugin_mtpl_gallery/flutter_plugin_mtpl_gallery.dart';

void main() {
  const MethodChannel channel = MethodChannel('flutter_plugin_mtpl_gallery');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await FlutterPluginMtplGallery.platformVersion, '42');
  });
}
