import Flutter
import UIKit

public class SwiftFlutterPluginMtplGalleryPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "flutter_plugin_mtpl_gallery", binaryMessenger: registrar.messenger())
    let instance = SwiftFlutterPluginMtplGalleryPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

 public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
         if (call.method == "getPlatformVersion") {
             result("iOS " + UIDevice.current.systemVersion)
         }
         else if (call.method == "getAllImages") {
            let alert = UIAlertController.init(title: “Hello!“, message: “Hurreyy...!!! Button clicked.“, preferredStyle: .alert)
            let actionOk = UIAlertAction.init(title: “Ok”, style: .default, handler: nil)
            alert.addAction(actionOk)
            self.present(alert, animated: true, completion: nil)
         }
}
